> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tangoanalytics.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get usersprofilesdelegate clients

> Gets a list of users that the indicated user is a delegate for. The User information is returned as a list of User Views describing the User Account information.

This operation retrieves all User Views listed as clients to the User identified
by the User System ID path parameter.

The requesting User must have the following rights to perform this task:

This operation may include an **OPTIONAL** query parameter sysidUser=# .
If no query parameter is provided, the operation retrieves the data for the calling authenticated User.

This operation returns a **User View Wrapper** with the following fields:



## OpenAPI

````yaml /tango_reserve/integrations/guides/aq-api.yaml get /users/profiles/delegate-clients
openapi: 3.1.0
info:
  description: phoenix-restful
  version: '2.0'
  title: Reserve Rest API
servers:
  - url: /aq-api/
security: []
tags:
  - name: AccountService
    description: |-
      Account Service

      The Accounts service provides an interface for business customer accounts
      whose intent includes creating resources which may be reserved in a public
      or private space.
  - name: AnalyticsGatewayService
    description: |-
      Provides gateway interface into analytic reports generated from Phoenix
      data.
  - name: ApplicationService
    description: >-
      Application Service


      Provides operations for creating and managing external applications which
      may interact with

      the Agilquest Forums platform.
  - name: ApprovalsService
    description: Base class for RESTful services.
  - name: AvailabilityService
    description: >-
      Availability Service


      Exposes operations which provide availability information for Assets
      within Agilquest Forums.
  - name: CacheReadinessService
  - name: ChargeCodeService
    description: |-
      Charge Code Service

      The Charge Code Service provides the RESTful end points for interacting
      with Charge Codes in the Agilquest.
  - name: ForumService
    description: Base class for RESTful services.
  - name: LanguageService
    description: |-
      Provides a RESTful interface to the Language services for language
      tags and, language bundles, and language data for Agilquest.
  - name: LocaleService
    description: >-
      The Locale Service provides TimeZone and LanguageData information about
      the

      Agilquest.
  - name: LocationService
    description: |-
      The Location Service provides an interface for interacting with Locations
      and Locator Structures in the Agilquest.
  - name: LookupService
    description: |-
      The lookup service exposes the code table lookup functionality of the
      Agilquest.
  - name: PropertiesService
    description: Retrieves the properties associated with a given account.
  - name: ReservationEventViewsService
    description: >-
      The Reservation Event View Service provides views of Reservation events
      (ReservationGroup).
  - name: ReservationService
    description: |-
      The Reservation Service handles creating, changing, and retrieving
      reservations through the ReservationServiceBusiness interface.
  - name: ReservationViewsService
    description: |-
      The Reservation View Service provides views into the existing reservation
      information maintained by the Agilquest.
  - name: ResourceGroupService
    description: |-
      The Resource Group service provides an interface into manipulating
      the resource groups in the Agilquest.
  - name: ResourceService
    description: Base class for RESTful services.
  - name: ResourceViewsService
    description: |-
      The Resource Views service provides views into existing resources in
      the Agilquest.
  - name: ReviewsService
    description: Base class for RESTful services.
  - name: RoomConfigurationService
    description: Base class for RESTful services.
  - name: SplashPageService
    description: Base class for RESTful services.
  - name: SystemService
    description: System Service.
  - name: UserGroupService
    description: Base class for RESTful services.
  - name: UserService
    description: |-
      The User Service provides an interface for adding, editing, and removing
      users in the Agilquest.
  - name: UserViewsService
    description: |-
      The User Views service provides views into the existing User information
      maintained by the Agilquest.
  - name: VisitorService
    description: >-
      The Visitor Service provides an interface for adding, editing, and
      removing

      visitors in the Agilquest.
paths:
  /users/profiles/delegate-clients:
    get:
      tags:
        - UserService
      description: >-
        Gets a list of users that the indicated user is a delegate for. The User
        information is returned as a list of User Views describing the User
        Account information.


        This operation retrieves all User Views listed as clients to the User
        identified

        by the User System ID path parameter.


        The requesting User must have the following rights to perform this task:


        This operation may include an **OPTIONAL** query parameter sysidUser=# .

        If no query parameter is provided, the operation retrieves the data for
        the calling authenticated User.


        This operation returns a **User View Wrapper** with the following
        fields:
      operationId: getDelegateClients
      parameters:
        - name: sysidUser
          in: query
          schema:
            type: integer
            format: int32
      responses:
        '200':
          content:
            application/json:
              examples:
                example:
                  value:
                    views:
                      - privateProfile: true
                        lastName: ...
                        city: ...
                        postalCode: ...
                        middleInitial: ...
                        country: ...
                        roleName: ...
                        address1: ...
                        mobilePhone: ...
                        sysidUser: 12345
                        stateProvince: ...
                        department: ...
                        workPhone: ...
                        sysidStatus: 12345
                        images:
                          - sysidUserImage: 12345
                            defaultImage: true
                            thumbnailSource: ...
                            width: 12345
                            displayOrder: 12345
                            height: 12345
                            description: ...
                            imageSource: ...
                            name: ...
                            sysidApplicationUser: 12345
                          - sysidUserImage: 12345
                            defaultImage: true
                            thumbnailSource: ...
                            width: 12345
                            displayOrder: 12345
                            height: 12345
                            description: ...
                            imageSource: ...
                            name: ...
                            sysidApplicationUser: 12345
                        sysidHomeLocation: 12345
                        sysidLanguage: 12345
                        emailAddress: ...
                        firstName: ...
                        originalUser: true
                        locationName: ...
                        address2: ...
                        accountLocked: true
                        statusMessage: ...
                        title: ...
                      - privateProfile: true
                        lastName: ...
                        city: ...
                        postalCode: ...
                        middleInitial: ...
                        country: ...
                        roleName: ...
                        address1: ...
                        mobilePhone: ...
                        sysidUser: 12345
                        stateProvince: ...
                        department: ...
                        workPhone: ...
                        sysidStatus: 12345
                        images:
                          - sysidUserImage: 12345
                            defaultImage: true
                            thumbnailSource: ...
                            width: 12345
                            displayOrder: 12345
                            height: 12345
                            description: ...
                            imageSource: ...
                            name: ...
                            sysidApplicationUser: 12345
                          - sysidUserImage: 12345
                            defaultImage: true
                            thumbnailSource: ...
                            width: 12345
                            displayOrder: 12345
                            height: 12345
                            description: ...
                            imageSource: ...
                            name: ...
                            sysidApplicationUser: 12345
                        sysidHomeLocation: 12345
                        sysidLanguage: 12345
                        emailAddress: ...
                        firstName: ...
                        originalUser: true
                        locationName: ...
                        address2: ...
                        accountLocked: true
                        statusMessage: ...
                        title: ...
                    nextStartRow: 12345
                    hasAdditional: true
              schema:
                $ref: '#/components/schemas/UserViewWrapper'
          description: |-
            User View Wrapper containing list of User Views and total count

            com.agilquest.phoenix.shared.data.rest.wrapper.UserViewWrapper
components:
  schemas:
    UserViewWrapper:
      type: object
      title: UserViewWrapper
      required:
        - nextStartRow
        - hasAdditional
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            views:
              type: array
              items:
                $ref: '#/components/schemas/UserView'
            nextStartRow:
              type: integer
              format: int32
            hasAdditional:
              type: boolean
      example:
        views:
          - privateProfile: true
            lastName: ...
            city: ...
            postalCode: ...
            middleInitial: ...
            country: ...
            roleName: ...
            address1: ...
            mobilePhone: ...
            sysidUser: 12345
            stateProvince: ...
            department: ...
            workPhone: ...
            sysidStatus: 12345
            images:
              - sysidUserImage: 12345
                defaultImage: true
                thumbnailSource: ...
                width: 12345
                displayOrder: 12345
                height: 12345
                description: ...
                imageSource: ...
                name: ...
                sysidApplicationUser: 12345
              - sysidUserImage: 12345
                defaultImage: true
                thumbnailSource: ...
                width: 12345
                displayOrder: 12345
                height: 12345
                description: ...
                imageSource: ...
                name: ...
                sysidApplicationUser: 12345
            sysidHomeLocation: 12345
            sysidLanguage: 12345
            emailAddress: ...
            firstName: ...
            originalUser: true
            locationName: ...
            address2: ...
            accountLocked: true
            statusMessage: ...
            title: ...
          - privateProfile: true
            lastName: ...
            city: ...
            postalCode: ...
            middleInitial: ...
            country: ...
            roleName: ...
            address1: ...
            mobilePhone: ...
            sysidUser: 12345
            stateProvince: ...
            department: ...
            workPhone: ...
            sysidStatus: 12345
            images:
              - sysidUserImage: 12345
                defaultImage: true
                thumbnailSource: ...
                width: 12345
                displayOrder: 12345
                height: 12345
                description: ...
                imageSource: ...
                name: ...
                sysidApplicationUser: 12345
              - sysidUserImage: 12345
                defaultImage: true
                thumbnailSource: ...
                width: 12345
                displayOrder: 12345
                height: 12345
                description: ...
                imageSource: ...
                name: ...
                sysidApplicationUser: 12345
            sysidHomeLocation: 12345
            sysidLanguage: 12345
            emailAddress: ...
            firstName: ...
            originalUser: true
            locationName: ...
            address2: ...
            accountLocked: true
            statusMessage: ...
            title: ...
        nextStartRow: 12345
        hasAdditional: true
    DependentData:
      type: object
      title: DependentData
      example: {}
    UserView:
      type: object
      title: UserView
      required:
        - privateProfile
        - sysidUser
        - sysidLanguage
        - originalUser
      allOf:
        - $ref: '#/components/schemas/ViewBase'
        - properties:
            privateProfile:
              type: boolean
            lastName:
              type: string
            city:
              type: string
            postalCode:
              type: string
            middleInitial:
              type: string
            country:
              type: string
            roleName:
              type: string
            address1:
              type: string
            mobilePhone:
              type: string
            sysidUser:
              type: integer
              format: int32
            stateProvince:
              type: string
            department:
              type: string
            workPhone:
              type: string
            sysidStatus:
              type: integer
              format: int32
            images:
              type: array
              items:
                $ref: '#/components/schemas/UserImageData'
            sysidHomeLocation:
              type: integer
              format: int32
            sysidLanguage:
              type: integer
              format: int32
            emailAddress:
              type: string
            firstName:
              type: string
            originalUser:
              type: boolean
            locationName:
              type: string
            address2:
              type: string
            accountLocked:
              type: boolean
            statusMessage:
              type: string
            title:
              type: string
      example:
        privateProfile: true
        lastName: ...
        city: ...
        postalCode: ...
        middleInitial: ...
        country: ...
        roleName: ...
        address1: ...
        mobilePhone: ...
        sysidUser: 12345
        stateProvince: ...
        department: ...
        workPhone: ...
        sysidStatus: 12345
        images:
          - sysidUserImage: 12345
            defaultImage: true
            thumbnailSource: ...
            width: 12345
            displayOrder: 12345
            height: 12345
            description: ...
            imageSource: ...
            name: ...
            sysidApplicationUser: 12345
          - sysidUserImage: 12345
            defaultImage: true
            thumbnailSource: ...
            width: 12345
            displayOrder: 12345
            height: 12345
            description: ...
            imageSource: ...
            name: ...
            sysidApplicationUser: 12345
        sysidHomeLocation: 12345
        sysidLanguage: 12345
        emailAddress: ...
        firstName: ...
        originalUser: true
        locationName: ...
        address2: ...
        accountLocked: true
        statusMessage: ...
        title: ...
    ViewBase:
      type: object
      title: ViewBase
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - {}
      example: {}
    UserImageData:
      type: object
      title: UserImageData
      required:
        - defaultImage
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            sysidUserImage:
              type: integer
              format: int32
            defaultImage:
              type: boolean
            thumbnailSource:
              type: string
            width:
              type: integer
              format: int32
            displayOrder:
              type: integer
              format: int32
            height:
              type: integer
              format: int32
            description:
              type: string
            imageSource:
              type: string
            name:
              type: string
            sysidApplicationUser:
              type: integer
              format: int32
      example:
        sysidUserImage: 12345
        defaultImage: true
        thumbnailSource: ...
        width: 12345
        displayOrder: 12345
        height: 12345
        description: ...
        imageSource: ...
        name: ...
        sysidApplicationUser: 12345

````